net.sf.jasperreports.engine.util

## Class VirtualizationSerializer

- java.lang.Object
- - net.sf.jasperreports.engine.util.VirtualizationSerializer

-     public class VirtualizationSerializer
      extends java.lang.Object

  Version:
    $Id: VirtualizationSerializer.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Class<?>>` | `classes`
    `protected java.util.Map<java.lang.Class<?>,java.lang.Integer>` | `classIndexes`
    `protected static int` | `CLASSLOADER_IDX_NOT_SET`
    `protected java.util.Map<java.lang.ClassLoader,java.lang.Integer>` | `classLoadersIndexes`
    `protected java.util.List<java.lang.ClassLoader>` | `classLoadersList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualizationSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClassDescriptorIdx(java.lang.Class<?> clazz)`
    `java.lang.Class<?>` | `getClassForDescriptorIdx(int descriptorIdx)`
    `int` | `getClassloaderIdx(java.lang.Class<?> clazz)`
    `protected static boolean` | `isAncestorClassLoader(java.lang.ClassLoader loader)`
    `void` | `readData(JRVirtualizable o, java.io.InputStream in)`
    `java.lang.Class<?>` | `resolveClass(java.io.ObjectStreamClass desc, int loaderIdx)`
    `void` | `writeData(JRVirtualizable o, java.io.OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASSLOADER_IDX_NOT_SET

          protected static final int CLASSLOADER_IDX_NOT_SET

      See Also:
        Constant Field Values

    - #### classLoadersIndexes

          protected final java.util.Map<java.lang.ClassLoader,java.lang.Integer> classLoadersIndexes

    - #### classLoadersList

          protected final java.util.List<java.lang.ClassLoader> classLoadersList

    - #### classIndexes

          protected final java.util.Map<java.lang.Class<?>,java.lang.Integer> classIndexes

    - #### classes

          protected final java.util.List<java.lang.Class<?>> classes

  - ### Constructor Detail

    - #### VirtualizationSerializer

          public VirtualizationSerializer()

  - ### Method Detail

    - #### isAncestorClassLoader

          protected static boolean isAncestorClassLoader(java.lang.ClassLoader loader)

    - #### getClassloaderIdx

          public int getClassloaderIdx(java.lang.Class<?> clazz)

    - #### resolveClass

          public java.lang.Class<?> resolveClass(java.io.ObjectStreamClass desc,
                                        int loaderIdx)
                                          throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### getClassDescriptorIdx

          public int getClassDescriptorIdx(java.lang.Class<?> clazz)

    - #### getClassForDescriptorIdx

          public java.lang.Class<?> getClassForDescriptorIdx(int descriptorIdx)

    - #### writeData

          public final void writeData(JRVirtualizable o,
                       java.io.OutputStream out)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readData

          public final void readData(JRVirtualizable o,
                      java.io.InputStream in)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com